var defs_loaded=false;

glos_ace = "<P><B>ACE</B><BR>Access control entry. An entry in an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acl&quot;)'>access control list (ACL)</A>. The entry contains a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_sid&quot;)'>security ID (SID)</A> and a set of access rights. A process with a matching security ID is either allowed access rights, denied rights, or allowed rights with auditing.</P>";

glos_acl = "<P><B>ACL</B><BR>Access control list. The part of a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_sd&quot;)'>security descriptor</A> that enumerates the protections applied to an object. The owner of an object has discretionary access control of the object and can change the object&#39;s ACL to allow or disallow others access to the object. ACLs are made up of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ace&quot;)'>access control entries (ACEs)</A>.<BR>Each security descriptor for an object in Windows&nbsp;2000 or Windows&nbsp;NT contains four security components: Creator (Owner), Group, Discretionary Access Control List (DACL, usually referred to simply as ACL), and System Access Control List (SACL).Group is for <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</A> compliance and is associated with the &quot;primary group&quot; set in individual user objects in User Manager.The DACL determines the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_permissions&quot;)'>permissions</A> on the object. To change a DACL, a permission called WRITE_DAC is required.The SACL determines auditing, describing what accesses will be audited and for whom.</P>";

glos_acs = "<P><b>ACS</b><br>Admission Control Service. The ACS is a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_qos&quot;)'>QoS</A> implementation that offers the ability to centrally designate how, by whom, and when shared network segment resources will be used. Once the service has been installed and configured, the ACS host controls bandwidth for the subnet to which it is connected. Any intranet host on the subnet can submit priority bandwidth requests to the ACS host, which determines if adequate bandwidth is available, based on:<ul><li>Information about the current state of resource availability on the subnet. <li>The ACS user <A NAME='nest' HREF='javascript:startPopups(&quot;glos_policy&quot;)'>policy </A>rights. </ul>The ACS can be added and enabled on any network-enabled computer running Windows&nbsp;2000 Server. The ACS operates at the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> network layer, servicing the most common application protocols: all transport protocols in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> protocol suite (TCP, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_udp&quot;)'>UDP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rsvp&quot;)'>RSVP</A>).</P>";

glos_ad = "<P><b>Active Directory</b><br>The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ds&quot;)'>directory service</A> included with Windows&nbsp;2000 Server. It stores information about objects on a network and makes this information available to users and network administrators. Active Directory gives network users access to permitted resources anywhere on the network using a single logon process. It provides network administrators with an intuitive hierarchical view of the network and a single point of administration for all network objects.</P>";

glos_activex = "<P><b>Active X</b><br>An umbrella term for Microsoft technologies that enable developers to create interactive content for the World Wide Web.</P>";

glos_api = "<p><b>API</b><br>Application programming interface. A set of routines that an application uses to request and carry out lower-level <A NAME='nest' HREF='javascript:startPopups(&quot;glos_service&quot;)'>services</A> performed by a computer's operating system. These routines usually carry out maintenance tasks such as managing files and displaying information.</P>";

glos_associate = "<P><b>associate</b><br>To identify a filename extension as &quot;belonging&quot; to a certain program, so that when you open any file with that extension, the program starts automatically.</P>";

glos_bdc = "<P><B>BDC</B><BR>Backup domain controller. In Windows&nbsp;NT Server 4.0 or earlier, a computer running Windows&nbsp;NT Server that receives a copy of the domain's <A NAME='nest' HREF='javascript:startPopups(&quot;glos_directory&quot;)'>directory</A> database (which contains all account and security policy information for the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>). The copy is synchronized periodically and automatically with the master copy on the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_pdc&quot;)'>primary domain controller (PDC)</A>. BDCs also authenticate user logon information and can be promoted to function as PDCs as needed. Multiple BDCs can exist in a domain. Windows&nbsp;NT 3.51 and 4.0 BDCs can participate in a Windows&nbsp;2000 domain when the domain is configured in mixed mode.</P>";

glos_batch = "<P><b>batch program</b><br>An ASCII (unformatted text) file containing one or more Windows&nbsp;2000 and Windows&nbsp;NT commands. A batch program's filename has a .bat extension. When you type the filename at the command prompt, the commands are processed sequentially. &quot;<a NAME='nest' HREF='javascript:startPopups(&quot;glos_script&quot;)'>Script</a>&quot; is often used interchangeably with &quot;batch program&quot; in the Windows&nbsp;2000 and Windows&nbsp;NT environment.</P>";

glos_bios = "<P><b>BIOS</b><br>Basic input/output system. A set of routines that works closely with hardware to support the transfer of information between system elements, such as memory, disks, and the monitor. On x86-based computers, the BIOS, or ROM BIOS, is built into the computer's read-only memory (ROM).</P>";

glos_browser = "<P><b>browser</b><br>Software used for accessing information on the Internet or an intranet. A browser communicates with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A> servers, interprets hypertext markup language (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>), and displays information on a computer screen. </P><P>In the context of Windowsnetworking, &quot;browser&quot; can also mean the Computer Browser service, a service that maintains an up-to-date list of computers on a network or part of a network and provides the list to applications when requested. When a user attempts to connect to a resource in a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>, the domain&#39;s browser is contacted to provide a list of available resources.</P>";

glos_cde = "<P><b>CDE</b><br>The Common Desktop Environment (CDE) is an integrated graphical desktop environment for managing data, files and applications.</P>";

glos_cgi = "<P><b>CGI</b><br>Common Gateway Interface. A server-side interface for initiating software services. A set of interfaces that describe how a Web server communicates with software on the same computer. Any software can be a CGI program if it handles input and output according to the CGI standard.</P>";

glos_checkedbld = "<P><b>checked build</b><br>A checked build is a version of Windows that consists of binaries that provide additional error checking, argument verification, and system debugging code. Much of the extra code in the checked binaries is in the form of ASSERT macros that test an expression. If the expression evaluates to FALSE, the macro generates a kernel debugger error message and breaks into the debugger. This lets you immediately determine the cause and location of the error.<br>Because of the additional error checking code and debugging information, the checked binaries are larger and run slower than the free binaries. This can conceal synchronization or other timing-related problems, such as race conditions, that become apparent only in the free build.<br>If you run the checked build of Windows&nbsp; 2000 without having enabled kernel debugging, unexpected system shutdowns can occur. This is because the additional checks in the checked build increase the likelihood of encountering a breakpoint.</P>";

glos_cluster = "<P><B>cluster</B><BR>A set of computers that work together to provide a service. Regardless of how many servers are connected in a cluster, clients treat the cluster as if it were a single server. The use of clusters enhances data availability, the manageability and performance of the service, and the scalability of the operating system that provides the service, helping to ensure that mission-critical programs and resources remain available to clients. A node of a cluster is a computer that is an active or inactive member of a cluster.<BR>Network Load Balancing provides a software solution for clustering multiple computers running Windows 2000 Server that provides networked services over the Internet and private intranets.</P>";

glos_codepage = "<P><B>code page</B><BR>In MS-DOS versions 3.3 and later, a means of providing support for character sets and keyboard layouts used in different countries. A code page is a table that relates the binary character codes used by a program to keys on the keyboard or to the appearance of characters on the display.</P>";

glos_com = "<P><b>COM</b><br>Component Object Model. An object-based programming model designed to promote software interoperability; that is, to allow two or more applications or components to easily cooperate with one another, even if they were written by different vendors at different times, in different programming languages, or if they are running on different computers running different operating systems. COM is the foundation technology upon which much broader technologies can be built. Object Linking and Embedding (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_ole&quot;)'>OLE</a>) technology and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_activex&quot;)'>Active X</a> are both built on top of COM.</P>";

glos_crc = "<P><b>Cyclical redundancy check</b><br>Cyclical redundancy check. A procedure used in checking for errors in data transmission. CRC error checking uses a complex calculation to generate a number based on the data transmitted. The sending device performs the calculation before transmission and sends its result to the receiving device. The receiving device repeats the same calculation after transmission. If both devices obtain the same result, it is assumed that the transmission was error-free. The procedure is known as a redundancy check because each transmission includes not only data but extra (redundant) error-checking values. Communications protocols such as XMODEM and Kermit use cyclical redundancy checking.</P>";

glos_daemon = "<P><b>daemon</b><br>Pronounced &quot;demon.&quot; A networking program, usually associated with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> systems, that runs in the background, performing utility functions such as housekeeping or maintenance without user intervention or even awareness.</P>";

glos_debugger = "<P><b>debugger</b><br>A program designed to aid in detecting, locating, and correcting errors in another program by allowing the programmer to step through the program, examine the data, and monitor conditions such as the values of variables.</P>";

glos_dfs = "<P><b>Dfs</b><br>Distributed File System. A Windows&nbsp;2000 <A NAME='nest' HREF='javascript:startPopups(&quot;glos_service&quot;)'>service</A> consisting of software residing on network servers and clients that transparently links shared folders located on different file servers into a single <A NAME='nest' HREF='javascript:startPopups(&quot;glos_namespace&quot;)'>namespace</A> for improved load sharing and data availability.</P>";

glos_dhcp = "<P><b>DHCP</b><br>Dynamic Host Configuration Protocol. A networking protocol that provides safe, reliable, and simple <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> network configuration and offers dynamic configuration of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>Internet Protocol (IP) addresses</A> for computers. DHCP ensures that address conflicts do not occur and helps conserve the use of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</A> through centralized management of address allocation.</P>";

glos_directory = "<P><B>directory</B><BR>An information source (for example, a telephone directory) that contains information about people, computer files, or other objects. In a file system, a directory stores information about files. In a distributed computing environment (such as a Windows&nbsp;2000 domain), the directory stores information about objects such as printers, fax servers, applications, databases, and other users. <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> is the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ds&quot;)'>directory service</A> included with Windows&nbsp;2000 Server.</P>";

glos_ds = "<P><B>directory service</B><BR>Both the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_directory&quot;)'>directory</A> information source and the services making the information available and usable. A directory service enables the user to find an object given any one of its attributes (such as, finding all duplex printers in Building A). <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> is the directory service included with Windows&nbsp;2000 Server.</P>";

glos_dn = "<P><B>distinguished name</B><BR>A name that uniquely identifies an object by using the relative distinguished name for the object, plus the names of container objects and domains that contain the object. The distinguished name identifies the object as well as its location in a tree. Every object in <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> has a distinguished name. A typical distinguished name might be<BR>CN=MyName,CN=Users,DC=Microsoft,DC=Com<BR>This identifies the MyName user object in the microsoft.com <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>.</P>";

glos_dll = "<P><b>DLL</b><br>Dynamic-link library. A feature of the Microsoft Windows family of operating systems and the OS/2 operating system. DLLs allow executable routines, generally serving a specific function or set of functions, to be stored separately as files with .dll extensions, and to be loaded only when needed by the program that calls them.</P>";

glos_dns = "<P><b>DNS</b><br>Domain Name System. A hierarchical name service for <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> host computers that provides standard naming conventions.<BR><BR>The administrator of a network must configure the DNS with a list of host names and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>. This allows users of network computers to query the DNS, specifying remote computers by host names, which are character strings with some mnemonic value, rather than IP addresses, which are simply strings of numbers. Windows <A NAME='nest' HREF='javascript:startPopups(&quot;glos_socket&quot;)'>Sockets</A> applications and TCP/IP utilities, such as <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ftp&quot;)'>FTP</a> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_telnet&quot;)'>Telnet</a>, can use DNS in addition to the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hosts&quot;)'>HOSTS</a> file to locate particular computers anywhere on the local network or beyond on the Internet.<BR><BR>DNS originated in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> networking environment.</P>";

glos_domain = "<P><b>domain</b><br><br>A networked set of computers running Windows&nbsp;2000 or Windows&nbsp;NT that share a Security Accounts Manager (SAM) database and that can be administered as a group. A user with an account in a particular domain can log onto and access his or her account from any computer in the domain. A domain is a single security boundary of a Windows computer network.<br><br>The Active Directory is made up of one or more domains. On a standalone workstation, the domain is the computer itself. A domain can span more than one physical location. Every domain has its own security <A NAME='nest' HREF='javascript:startPopups(&quot;glos_policy&quot;)'>policies</A> and security relationships with other domains. When multiple domains are connected by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_trustrel&quot;)'>trust relationships</A> and share a common <A NAME='nest' HREF='javascript:startPopups(&quot;glos_schema&quot;)'>schema</A>, configuration, and global catalog, you have a domain tree. Multiple domain trees can be connected together into a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_forest&quot;)'>forest</A>.</P>";

glos_domaincontroller = "<P><b>domain controller</b><br>For a Windows&nbsp;2000 Server or Windows&nbsp;NT Server domain, the server that authenticates domain logons and maintains the security policy and the master database for a domain. Both servers and domain controllers are capable of validating a user's logon, but password changes must be made by contacting the domain controller.</P>";

glos_domaincontroller = "<P><b>domain controller</b><br>For a Windows&nbsp;2000 Server or Windows&nbsp;NT Server domain, the server that authenticates domain logons and maintains the security policy and the master database for a domain. Both servers and domain controllers are capable of validating a user's logon, but password changes must be made by contacting the domain controller.</P>";

glos_efs = "<P><b>EFS</b><br>Encrypting File System. A Windows&nbsp;2000 feature that enables users to encrypt files and folders on an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ntfs&quot;)'>NTFS</A> volume disk to keep them safe from access by intruders.<BR>In the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>registry</A>, a feature that allows the file system to automatically encrypt and decrypt file data as it is read and written to the disk. This prevents users from being able to boot under <NOBR>MS-DOS</NOBR> or another operating system and then use a low-level disk editing utility to view data stored on an NTFS volume.</P>";

glos_environmentvariable = "<P><B>environment variable</B><BR></P>A string consisting of environment information, such as a drive, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_path&quot;)'>path</A>, or filename, associated with a symbolic name that can be used by Windows&nbsp;2000 and Windows&nbsp;NT. You use the System option in Control Panel or the set command from the command prompt to define environment variables.</P>";

glos_fat = "<P><b>FAT</b><br>A file system based on a file allocation table (FAT) maintained by some operating systems, including Windows&nbsp;2000 and Windows&nbsp;NT, to keep track of the status of various segments of disk space used for file storage.</P>";

glos_fat32 = "<P><B>FAT32</b><BR>A derivative of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fat&quot;)'>File Allocation Table (FAT)</A> file system. FAT32 supports smaller cluster sizes than FAT, which results in more efficient space allocation on FAT32 drives.</P>";

glos_fault = "<P><b>fault tolerance</b><br>Assurance of data integrity when hardware failures occur. On the Windows&nbsp;2000 and Windows&nbsp;NT platforms, fault tolerance is provided by the Ftdisk.sys driver. In Disk Administrator, fault tolerance is provided by using <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mirror&quot;)'>mirror sets</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe sets with parity</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume sets</A>.</P>";

glos_filter = "<P><B>filter</B><BR>Within an IP Filter List, an entry that describes a particular subset of network traffic to be secured, both for inbound and outbound traffic.</P>";

glos_flow = "<P><B>flow</B><BR>A stream of data sent or received by a host. Also called network traffic.</P>";

glos_forest = "<P><B>forest</B><BR>A collection of one or more Windows&nbsp;2000 <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tree&quot;)'>trees</A>, organized as peers and connected by two-way, transitive <A NAME='nest' HREF='javascript:startPopups(&quot;glos_trustrel&quot;)'>trust relationships</A> between the root <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A> of each tree. All trees in a forest share a common <A NAME='nest' HREF='javascript:startPopups(&quot;glos_schema&quot;)'>schema</A>, configuration, and global catalog. When a forest contains multiple trees, the trees do not form a contiguous namespace.</P>";

glos_frame = "<P><b>frame</b><br>In computer graphics, one image in a sequence that makes up an animation.<BR><BR>In synchronous communication, a package of information transmitted as a single unit from one device to another.</P>";

glos_fsmo = "<P><B>FSMO</B><BR>Flexible Single Master Operation. <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> operations that are single-master, that is, not permitted to occur at different places in the network at the same time. Examples of these operations include <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rid&quot;)'>RID</A> allocation, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_schema&quot;)'>schema</A> modification, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_pdc&quot;)'>primary domain controller</A> election and certain <A NAME='nest' HREF='javascript:startPopups(&quot;glos_im&quot;)'>infrastructure</A> changes.</P>";

glos_ftp = "<P><b>FTP</b><br>File Transfer Protocol. FTP is both a protocol that defines how to transfer files from one computer to another over the Internet and a client-server application that moves files using this protocol.</P>";

glos_gateway = "<P><b>gateway</b><br>A device that connects dissimilar networks and passes information from one to the other. A gateway translates information from the communications protocol of the first network into that of the second before transferring it.<BR><BR>In <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a>, the default gateway is the address where the Internet Protocol sends packets that are destined for remote networks, unless a different route to the destination network is configured.</P>";

glos_gp = "<P><B>Group Policy</B><BR>The primary administrative tool for defining and controlling how programs, network resources, and the operating system operate for users and computers in an organization. In an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> environment, Group Policy is applied to users or computers on the basis of their membership in <A NAME='nest' HREF='javascript:startPopups(&quot;glos_site&quot;)'>sites</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A>, or <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ou&quot;)'>organizational units</A>.</P>";

glos_gpo = "<P><B>Group Policy object</B><BR>A collection of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_gp&quot;)'>Group Policy</A> settings. Group Policy objects are the documents created by the Group Policy <A NAME='nest' HREF='javascript:startPopups(&quot;glos_snapin&quot;)'>snap-in</A>, a Windows&nbsp;2000 utility. Group Policy objects are stored at the domain level, and they affect users and computers contained in <A NAME='nest' HREF='javascript:startPopups(&quot;glos_site&quot;)'>sites</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ou&quot;)'>organizational units</A>. Each Windows&nbsp;2000-based computer has exactly one group of settings stored locally, called the local Group Policy object.</P>";

glos_gui = "<P><b>GUI</b><br>Graphical User Interface (GUI is pronounced &quot;<i>gooey</i>&quot;). A display format, like that of Windows, that represents a program's functions with graphic images such as buttons and icons. GUIs allow a user to perform operations and make choices by pointing and clicking with a mouse.</P>";

glos_guid = "<P><B>GUID</B><BR>Globally unique identifier. A 16-byte value generated from the unique identifier on a device, the current date and time, and a sequence number. A GUID is used to identify a particular device or component. It is similar to the UUID found on systems such as UNIX.</P>";

glos_hal = "<P><b>HAL</b><br>Hardware Abstraction Layer. A thin layer of software provided by the hardware manufacturer that hides, or abstracts, hardware differences from higher layers of the operating system.<BR><BR>Through the filter provided by the HAL, different types of hardware all look alike to the rest of the operating system. This allows Windows&nbsp;2000 and Windows&nbsp;NT to be portable from one hardware platform to another. The HAL also provides routines that allow a single device driver to support the same device on all platforms.<BR><BR>The HAL works closely with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernel&quot;)'>kernel</A>.</P>";

glos_handle = "<P><b>handle</b><br>In the user interface, an interface added to an object that facilitates moving, sizing, reshaping, or other functions pertaining to an object.<BR><BR>In programming, a pointer to a pointer&#151;that is, a token that lets a program access a resource identified.</P>";

glos_heap = "<P><b>heap</b><br>A region of one or more pages in operating system memory that can be subdivided and allocated in smaller chunks by a set of functions provided by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_heapmgr&quot;)'>heap manager</A>.</P>";

glos_heapmgr = "<P><b>heap manager</b><br>A set of operating system functions, contained in Ntdll.dll, that allocate and deallocate variable amounts of memory of less than page-size granularity.</P>";

glos_hsm = "<P><B>hierarchical storage management</B><BR>A technology that automates storage management and lowers storage costs by automatically migrating infrequently accessed files from local storage to remote storage and recalling the files upon user demand.</P>";

glos_hive = "<P><b>hive</b><br>A section of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>registry</A> that appears as a file on your hard disk. For example, the hive HKEY_USERS&#92;Default appears on your hard disk as the file %<i>SYSTEMROOT</i>%&#92;SYSTEM32&#92;CONFIG&#92;DEFAULT&#92;DEFAULT.LOG. Because a hive is a file, it can be moved from one system to another, but can only be edited using Registry Editor.</P>";

glos_hosts = "<P><b>HOSTS</b><br>A file containing lists of known <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>, used by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> to locate computers on a network or the Internet.</P>";

glos_hpfs = "<P><b>HPFS</b><br>High-Performance File System. The file system designed for the OS/2 version 1.2 operating system.</P>";

glos_html = "<P><b>HTML</b><br>Hypertext Markup Language. A simple markup language used to create hypertext documents that are portable from one platform to another. HTML files are simple ASCII text files with embedded codes (indicated by markup tags) to indicate formatting and hypertext links. HTML is used for formatting documents on the World Wide Web.</P>";

glos_http = "<P><b>HTTP</b><br>Hypertext Transfer Protocol. The protocol used to transfer information on the World Wide Web. An HTTP address (one kind of URL or Uniform Resource Locator) takes the form:<BR><BR>http:&#47;&#47;server&#47;path&#47;filename.htm<BR><BR>For example: http:&#47;&#47;www.microsoft.com&#47;area&#47;default.htm</P>";

glos_ifilter = "<P><b>IFilter</b><br> The IFilter interface scans documents for text and properties (sometimes called attributes). It extracts chunks of text from these documents, filtering out embedded formatting and retaining positional information. It also extracts chunks of values, which are properties of the whole document or of well-defined parts of the document. IFilter provides the foundation for building higher-level applications such as document indexers and application-independent viewers.</P>";

glos_iis = "<P><b>IIS</b><br> Internet Information Services. A network file and application server that supports multiple protocols. Primarily, Internet Information Services transmits information in Hypertext Markup Language (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>) pages by using the Hypertext Transport Protocol (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A>).</P>";

glos_im = "<P><b>infrastucture master</b><br>The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controller</A> responsible for updating the group-to-user references whenever the members of groups are renamed or changed. At any time, there can be only one domain controller acting as the infrastructure master in each domain.</P>";

glos_intellimirror = "<P><b>IntelliMirror</b><br> A Windows&nbsp;2000 technology which provides desktop change and configuration management technology features. Key features include:<UL>     <LI>User data management</LI>      <LI>Software installation and maintenance </LI>     <LI>User settings management</LI> </UL></P>";

glos_ipaddress = "<P><b>IP address</b><br>Internet Protocol address. The unique logical address identifying each host computer, or node, on a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> network. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> address is a 32-bit number expressed as four decimal numbers from 0 to 255 separated by periods, for example:<BR><BR><b>131.107.2.200</b><BR><BR>Each IP address has two parts: the network ID and the host ID. The network ID identifies all hosts that are on the same physical network. The host ID identifies a specific host on a network. A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_subnetmask&quot;)'>subnet mask</a> is used to mask a portion of the IP address so that TCP/IP can distinguish the network ID from the host ID.</P>";

glos_ip = "<P><b>IP</b><br>Internet Protocol. The messenger protocol of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>, responsible for addressing and sending <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcp&quot;)'>TCP</A> packets over the network. IP provides a best-effort, connectionless delivery system that does not guarantee that packets arrive at their destination or that they are received in the sequence in which they were sent.</P>";  

glos_ipxspx = "<P><b>IPX/SPX</b><br>Transport protocols used in Novell&#174; NetWare&#174; and other networks.</P>";

glos_isapi = "<P><b>ISAPI</b><br>Internet Server Application Program Interface. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>application program interface</A> that resides on a server computer for initiating software services tuned for Windows operating systems.</P>";

glos_jet = "<P><B>Jet</B><BR>A database engine used in Microsoft&#174; Exchange Server versions 4.x and 5.5.</P>";

glos_kcc = "<P><B>KCC</B><BR>Knowledge Consistency Checker. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> feature that automatically manages the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_replication&quot;)'>replication</A> topology for each naming context held on <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controllers</A>.</P>";

glos_kdc = "<P><B>KDC</B><BR>Key distribution center. A network service that supplies session <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ticket&quot;)'>tickets</A> and temporary session keys used in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kerberos&quot;)'>Kerberos</A> authentication protocol. In Windows&nbsp;2000, the KDC runs as a privileged <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</A> on all <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controllers</A>. The KDC uses <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> to manage sensitive account information such as passwords for user accounts.</P>";

glos_kerberos ="<P><b>Kerberos</b><br>The Kerberos v5 protocol verifies both the identity of the user and the integrity of session data. <br>In Windows&nbsp;2000, Kerberos v5 services are installed on each <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controller</A>, and a Kerberos client is installed on each Windows workstation and server. The Kerberos v5 service stores all of the client passwords (encrypted) and identities in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A>. A users initial Kerberos authentication provides the user a single logon to enterprise resources.</P>";

glos_kernel = "<P><b>kernel</b><br>The core of layered architecture that manages the most basic operations of the operating system and the computer&#39;s processor for Windows&nbsp;NT and Windows&nbsp;2000. The kernel schedules different blocks of executing code, called <A NAME='nest' HREF='javascript:startPopups(&quot;glos_thread&quot;)'>threads</A>, for the processor to keep it as busy as possible and coordinates multiple processors to optimize performance. The kernel also synchronizes activities among Executive-level subcomponents, such as I/O Manager and Process Manager, and handles hardware exceptions and other hardware-dependent functions.<BR><BR>The kernel works closely with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hal&quot;)'>HAL</A>.</P>";

glos_kernmode = "<P><b>kernel mode</b><br>Kernel mode is a highly privileged mode of operation where program code has direct access to all memory, including the address spaces of all user-mode processes and applications, and to hardware. Kernel mode is also known as supervisor mode, protected mode, or Ring 0.</P>";

glos_key = "<P><b>key</b><br>An entry in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>registry</a> that can contain both subkeys and entries. In the registry structure, keys are analogous to folders, and entries are analogous to files. In the Registry Editor window, a key appears as a file folder in the left pane.</P>";

glos_korn = "<P><b>Korn shell</b><br>ksh. A command shell that provides the following functionality: <br><ul><li>file input and output redirection</li> <li>command line editing using vi<li>command history</li> <li>integer arithmetic</li> <li>pattern matching and variable substitution</li> <li>command name abbreviation (aliasing)</li><li>built-in commands for writing shell programs</li> </ul></P>";

glos_lan = "<P><b>LAN</b><br>Local area network. A communications network connecting a group of computers, printers, and other devices located within a relatively limited area (for example, a building). A LAN allows any connected device to interact with any other on the network.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WAN</a>.</P>";

glos_ldap = "<P><B>LDAP</B><BR>Lightweight Directory Access Protocol. The primary access protocol for the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A>. LDAP standards are established by working groups of the Internet Engineering Task Force (IETF). In Windows&nbsp;2000, Active Directory implements the LDAP attribute drafts and the IETF standards for LDAP v.2 and LDAP v.3.</P>";

glos_lsa = "<P><b>LSA</b><BR>Local Security Authority. A protected subsystem which maintains information about all aspects of local security on a system (collectively known as <i>local security policy</i>) and provides various services for translation between names and identifiers.<br> </P>";

glos_mac = "<P><b>MAC</b><br>Media Access Control. A layer in the network architecture of Windows&nbsp;2000 and Windows&nbsp;NT that deals with network access and collision detection.</P>";

glos_mbr = "<P><b>Master Boot Record</b><br>MBR. The data structure that starts the process of booting the computer. The most important area on a hard disk.<BR><BR>The Master Boot Record contains the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partitiontable&quot;)'>partition table</a> for the disk and a small amount of executable code. On <i>x</i>86-based computers, the executable code examines the partition table and identifies the system (or bootable) partition, finds the system partition's starting location on the disk, and loads an image of its Partition Boot Sector into memory. The Master Boot Record then transfers execution to the Partition Boot Sector.</P>";

glos_memhog = "<P><b>memory hog</b><br>A memory hog is a program or driver that requires excessive amounts of memory.</P>";

glos_metabase = "<P><b>metabase</b><br>A hierarchical database, similar to the Windows&nbsp;2000 registry, that is used to store configuration values for IIS.</P>";

glos_mib = "<P><b>MIB</b><br>Management Information Base. The entire set of objects that a protocol or service uses under <A NAME='nest' HREF='javascript:startPopups(&quot;glos_snmp&quot;)'>SNMP</A>.<BR><BR>SNMP defines a set of variables that the host must keep. Because different network-management services are used for different types of devices or for different network-management protocols, each service has its own set of objects. The SNMP service for Windows&nbsp;2000 and Windows&nbsp;NT supports multiple MIBs through an agent <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A>.<BR><BR>Each MIB consists of a hierarchical list of object identifiers describing a managed entity. The MIB handler retrieves object values from the managed entity and sends them to the SNMP console.</P>";

glos_mirror = "<P><b>mirror set</b><br>A fully redundant or shadow copy of data. Mirror sets provide an identical twin for a selected disk; all data written to the primary disk is also written to the shadow or mirror disk. This enables you to have instant access to another disk with a redundant copy of the information on a failed disk. Mirror sets provide <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.<BR><BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe set with parity</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume set</A>.</P>";

glos_mixedmode = "<P><B>mixed mode</B><BR>The default <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A> mode setting on Windows&nbsp;2000 <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controllers</A>. Mixed mode allows Windows&nbsp;2000 domain controllers and Windows&nbsp;NT backup domain controllers to co-exist in a domain. Mixed mode does not support the universal and nested group enhancements of Windows&nbsp;2000. The domain mode setting can be changed to Windows&nbsp;2000 <A NAME='nest' HREF='javascript:startPopups(&quot;glos_nativemode&quot;)'>native mode</A> after all Windows&nbsp;NT domain controllers are either removed from the domain or upgraded to Windows&nbsp;2000.</P>";

glos_mmc = "<P><B>MMC</B><BR>Microsoft Management Console. A framework for hosting administrative consoles. A console is defined by the items on its console tree, which may include folders or other containers, World Wide Web pages, and other administrative items. A console has one or more windows that can provide views of the console tree and the administrative properties, services, and events that are acted on by the items in the console tree. The main MMC window provides commands and tools for authoring consoles. The authoring features of MMC and the console tree itself may be hidden when a console is in User Mode.</P>";

glos_namespace = "<P><B>namespace</B><BR>A set of unique names for resources or items used in a shared computing environment. The names in a namespace can be resolved to the objects they represent.<BR>For <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mmc&quot;)'>Microsoft Management Console (MMC)</A>, the namespace is represented by the console tree, which displays all of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_snapin&quot;)'>snap-ins</A> and resources that are accessible to a console.<BR>For <A NAME='nest' HREF='javascript:startPopups(&quot;glos_dns&quot;)'>Domain Name System (DNS)</A>, namespace is the vertical or hierarchical structure of the domain name tree. For example, each <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A> label, such as &quot;host1&quot; or &quot;example,&quot; used in a fully qualified domain name, such as &quot;host1.example.microsoft.com,&quot; indicates a branch in the domain namespace tree.<BR>For <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A>, namespace corresponds to the DNS namespace in structure, but resolves Active Directory object names.</P>";

glos_nativemode = "<P><B>native mode</B><BR>The condition in which all <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controllers</A> in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A> are Windows&nbsp;2000 domain controllers and an administrator has enabled native-mode operation (through Active Directory Users and Computers, a Windows&nbsp;2000 administrative tool). See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mixedmode&quot;)'>mixed mode</A>.</P>";

glos_netbeui = "<P><b>NetBEUI transport</b><br>NetBIOS (Network Basic Input/Output System) Extended User Interface. A local area network transport protocol provided with Windows&nbsp;2000 and Windows&nbsp;NT. See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_netbios&quot;)'>NetBIOS</a> interface.</P>";

glos_netbios = "<P><b>NetBIOS</b><br>Network basic input/output system. An application programming interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</a>) that can be used by applications on a local area network or computers running MS-DOS, OS/2, or some version of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a>. NetBIOS provides a uniform set of commands for requesting lower level network services.</P>";

glos_nonpagedpool = "<P><b>non paged pool</b><br>A dynamically sized memory pool created by the memory manager used by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernmode&quot;)'>kernel-mode</A> components to allocate system memory. The nonpaged pool consists of ranges of system virtual addresses which are guaranteed to be resident in physical memory at all times. Because of this, accessing this address space does not cause a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_pagefault&quot;)'>page fault</A>.</P>";

glos_ntfs = "<P><b>NTFS</b><br>The NTFS file system is an advanced file system designed for use specifically with Windows&nbsp;2000 and Windows&nbsp;NT. NTFS supports file system recovery and extremely large storage media, in addition to other advantages. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.</P>";

glos_ntlm = "<P><B>NTLM</B><BR> The primary authentication protocol for all Windows&nbsp;NT releases. It is used in Windows&nbsp;2000 as the authentication protocol for computers that are not participating in a domain (standalone servers and workgroups), and to authenticate transactions to or from computers running earlier releases of Windows.</P>";

glos_odbc = "<P><b>ODBC</b><br>Open Database Connectivity. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>application programming interface (API)</A> that enables database applications to access data from a variety of existing data sources.</P>";

glos_ole = "<P><b>OLE</b><br>A method for sharing information among applications. The acronym (pronounced oh-LAY) was originally derived from &quot;object linking and embedding&quot;.<br>OLE is an object-oriented technology designed for creating, managing, and accessing object-based components across process and hardware boundaries.<br>Linking an object (such as a section of a spreadsheet or a graphic) from one document to another inserts a reference to the object into the second document. Any changes made in the object in the first document will also be made in the second document.<br>Embedding an object inserts a copy of an object from one document into another document. Changes made in the object in the first document will not be updated in the second unless the embedded object is explicitly updated.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_activex&quot;)'>Active X</a>.</P>";

glos_ou = "<P><B>OU</B><BR>Organizational unit. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> container object used within domains. Organizational units are logical containers into which users, groups, computers, and other organizational units are placed. It can contain objects only from its parent <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>. An organizational unit is the smallest scope to which a Group Policy or delegate authority may be applied.</P>";

glos_packet = "<P><b>packet</b><br>A transmission unit of fixed maximum size that consists of binary information representing both data and a header containing an ID number, source and destination addresses, and error-control data.</P>";

glos_pagefault = "<P><b>page fault</b><br>In the processor, a page fault occurs when a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> refers to a virtual memory page that is not in its working set in main memory.<br>A hard page fault occurs when data a program needs is not found in its working set (the physical memory visible to the program) or elsewhere in physical memory and must be retrieved from disk.<br>A page fault will not cause the page to be fetched from disk if that page is on the standby list, and hence already in main memory, or if it is in use by another process with which the page is shared. In this case, a soft page fault occurs.</P>";

glos_pagedpool = "<P><b>paged pool</b><br> A dynamically sized memory pool created by the memory manager used by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernmode&quot;)'>kernel-mode</A> components to allocate system memory. The paged pool consists of a region of virtual addresses in system space which can be paged in and out of the system process's working set. Accessing this address may cause a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_pagefault&quot;)'>page fault</A>.</P>";

glos_partition = "<P><b>partition</b><br>A logical division of a hard disk. Partitions make it easier to organize information. Each partition can be formatted for a different file system.<br>A partition must be completely contained on one physical disk, and the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partitiontable&quot;)'>partition table</a> in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mbr&quot;)'>Master Boot Record</a> for a physical disk can contain up to four entries for partitions.</P>";

glos_partitiontable = "<P><b>partition table</b><br>An area of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mbr&quot;)'>Master Boot Record</a> that the computer uses to determine how to access the disk. The partition table can contain up to four <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partition&quot;)'>partitions</a> for each physical disk.</P>";

glos_path = "<P><B>path</B><BR><BR>1. A sequence of directory (or folder) names that specifies the location of a directory or file within the Windows directory tree. Each directory name and filename within the path must be preceded by a backslash (&#92;). For example, to specify the path of a file named Readme.doc located in the Windows directory on drive C, you type C:&#92;Windows&#92;Readme.doc.<BR><BR>2. A list of folders and sub-folders that Windows&nbsp;2000 searches for an executable filename, if the executable is run without an explicit path.<BR>The Windows&nbsp;2000 operating system manages two different types of paths: the current user's path and the system path. Windows&nbsp;2000 keeps a separate user path for every user on a system, but there is only one global system path. When a user logs on to a computer running Windows&nbsp;2000, these two paths are combined to create the user's full path.<BR>For backward compatibility, Windows&nbsp;2000 also loads path information from old Autoexec.bat files, which are found in the root folder of computers running MS-DOS and older versions of Windows and Windows&nbsp;NT. The Autoexec.bat file can contain a PATH command, that also specifies folders in which to search for executable files.</P>";

glos_pcmcia = "<P><b>PCMCIA</b><br>Personal Computer Memory Card International Association. A standard for removable peripheral devices (called PC Cards) about the size of a credit card, which plug into a special 68-pin connector found most commonly in portable computers. Currently available PCMCIA cards include memory, hard disk, modem, fax, network, and wireless communication devices.</P>";

glos_perfmon = "<P><b>Performance Monitor</b><br>A Windows&nbsp;NT administrative tool that monitors performance on local or remote computers.</P>";

glos_permissions = "<P><b>permissions</b><br>Rules associated with an object (usually a directory, file, or printer) that regulate which users can have access to the object and their manner of access.</P>";

glos_policy = "<P><b>policy</b><br>A policy is the set of rules that govern the interaction between a subject and an object. For example when an IP Security Agent (the subject) starts on a given computer (the object) a policy determines how that computer will participate in secure <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> connections.</P>";

glos_pop = "<P><b>POP</b><br>Post Office Protocol. A maildrop service that allows a client to retrieve mail that the server is holding for it. The most recent implementation is Version 3, or POP3.<br>On certain types of smaller nodes on the Internet, it is often impractical to maintain a message transport system (MTS); this would require that a workstation or personal computer support an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_smtp&quot;)'>SMTP</A> server and local mail delivery system or remain continuously connected to the Internet. POP permits a node that can support an MTS to function as a server, offering a maildrop service to less endowed client nodes.</P>";

glos_posix = "<P><b>POSIX</b><br>Portable Operating System Interface for Computing Environments. A set of standards being drafted by the Institute of Electrical and Electronic Engineers (IEEE) that define various aspects of an operating system, including topics such as programming interface, security, networking, and graphical interface. Programs that adhere to the POSIX standard can be easily ported from one system to another.</P>";

glos_pptp = "<P><b>PPTP</b><br> Point-to-Point Tunneling Protocol. PPTP is a new networking technology that supports multiprotocol virtual private networks (VPNs), enabling remote users to access corporate networks securely across the Internet by dialing into an Internet service provider (ISP) or by connecting directly to the Internet.</P>"; 

glos_pdc = "<P><B>PDC</B><BR>Primary domain controller. In Windows&nbsp;NT Server 4.0 or earlier, the computer running Windows&nbsp;NT Server that authenticates domain logons and maintains the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_directory&quot;)'>directory</A> database for a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>. The PDC tracks changes made to accounts of all computers on a domain. It is the only computer to receive these changes directly. A domain has only one PDC. In Windows&nbsp;2000, one of the domain controllers in each domain is identified as the PDC for compatibility with previous versions of Windows&nbsp;NT.</P>";

glos_privilege = "<P><b>privilege</b><BR>A privilege is the right of an account, such as a user or group account, to perform various system-related operations on the local computer, such as shutting down the system, loading device drivers, or changing the system time. Privileges differ from access rights in two ways:  <ul><li>Privileges control access to system resources and system-related tasks, whereas access rights control access to securable objects. <li>A system administrator assigns privileges to user and group accounts, whereas the system grants or denies access to a securable object based on the access rights granted in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ace&quot;)'>ACEs</A> in the object's DACL. </ul></P>";

glos_process = "<P><b>process</b><br>When a program runs, a Windows process is created. A process is a type of object that includes an address space, a set of objects (resources) visible to the process, and a set of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_thread&quot;)'>threads</A> that run in the context of the process. </P>";

glos_protocol = "<P><b>protocol</b><br>A set of rules and conventions by which two computers pass messages across a network. Networking software usually implements multiple levels of protocols layered one on top of another. Windows&nbsp;2000 and Windows&nbsp;NT include <A NAME='nest' HREF='javascript:startPopups(&quot;glos_netbeui&quot;)'>NetBEUI</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipxspx&quot;)'>IPX/SPX</A>-compatible protocols.</P>";

glos_qos = "<P><b>QoS</b><br>Quality of Service. A set of quality-assurance standards and mechanisms for data transmission, implemented in Windows&nbsp;2000. The goal of QoS is to help ensure a guaranteed delivery system for all <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>Internet Protocol (IP)</A> packet traffic. This goal is achieved by a set of QoS mechanisms which include services and protocols. The Windows implementation of QoS includes:<ul><li>Subnet bandwidth management services for controlling priority bandwidth on a subnet (the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>Admission Control Service</A>).</li><li>The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rsvp&quot;)'>resource reservation protocol (RSVP)</A>, which enables the sender and receiver in a communication to establish a reserved, QoS highway for traffic.</li><li><A NAME='nest' HREF='javascript:startPopups(&quot;glos_traffic&quot;)'>Traffic control</A> services, for prioritizing and scheduling of traffic.</li></ul></P>";

glos_quorumdisk = "<P><b>quorum disk</b><br>The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_cluster&quot;)'>cluster</A> disk on which configuration data is maintained in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_quorumlog&quot;)'>quorum log</A>, cluster database checkpoint, and resource checkpoints. The quorum disk is managed by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_quorumres&quot;)'>quorum resource</A>, which is usually a special kind of Physical Disk resource.</P>";

glos_quorumlog = "<P><b>quorum log</b><br>The record, stored on the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_quorumdisk&quot;)'>quorum disk</A>, of changes that have been made to the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_cluster&quot;)'>cluster</A> hive of the registry since the last hive checkpoint was taken. Also known as the recovery log or change log.</P>";

glos_quorumres = "<P><b>quorum resource</b><br>A quorum-capable resource (usually a Physical Disk resource) that has been configured to manage the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_quorumlog&quot;)'>quorum log</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_cluster&quot;)'>cluster</A> database checkpoints, which comprise the configuration data necessary for recovery of the cluster.<BR>This data contains details of all of the changes that have been applied to the cluster database. The quorum resource is generally accessible to other cluster resources so that any cluster node has access to the most recent database changes. By default there is only one quorum resource per cluster.</P>";

glos_ras = "<P><b>RAS</b><br>Remote Access Service. A service that provides remote networking for telecommuters, mobile workers, and system administrators who monitor and manage servers at multiple offices.</P>";

glos_registry = "<P><b>registry</b><br>In Windows&nbsp;2000, Windows&nbsp;NT version&nbsp;4.0 and earlier, and Windows&nbsp;98, a database for information about a computer's configuration. The registry is organized in a hierarchical structure, and consists of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hive&quot;)'>hives</A> (which map to files), subtrees, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_key&quot;)'>keys</A>, and entries.<BR>The registry is roughly analogous to the .ini files used under Windows 3.x, with each key in the registry similar to a bracketed heading in an .ini file and with registry entries similar to entries under the .ini headings. However, registry keys can contain subkeys, while .ini files do not support nested headings. The values of registry entries can also consist of strings, binary, or DWORD data, rather than the simple strings used in .ini files.<BR>To view or edit registry entries, use a registry editor such as <A NAME='nest' HREF='javascript:startPopups(&quot;glos_regedit&quot;)'>Regedit.exe</A>.</P>";

glos_regedit = "<P><b>Regedit.exe</b><br>Regedit.exe. A tool provided with Windows&nbsp;2000 and Windows&nbsp;NT&nbsp;version 4.0 and earlier that is used to view and edit entries in the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_registry&quot;)'>registry</A>. To start Regedit.exe, type <b>regedit</b> on the Run line.</P>";

glos_reparsepoint = "<P><b>reparse point</b><br>A new file-system object in <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ntfs&quot;)'>NTFS</A> version 5.0 that has a definable attribute containing user-controlled data and is used to extend functionality in the input/output (I/O) subsystem by altering the way NTFS resolves path names.<BR>This feature enables layered file-system filters to add arbitrary behavior to a file or to a directory. Remote Storage applies reparse points to files that it migrates so that accesses to such files can be trapped and redirected to the storage device that actually contains the file contents.</P>";

glos_replication = "<P><B>replication</B><BR>The process of copying data from a data store or file system to multiple computers that store the same data for the purpose of synchronizing the data. In Windows&nbsp;2000, replication of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> occurs through the Directory Replicator Service and replication of the file system occurs through <A NAME='nest' HREF='javascript:startPopups(&quot;glos_dfs&quot;)'>Distributed File System</A> replication.</P>";

glos_rfc = "<P><b>RFC</b><br>Request for Comments. A document that defines a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> standard. RFCs are published by the Internet Engineering Task Force (IETF) and other working groups.</P>";

glos_rid = "<P><b>RID</b><br>relative identifier. The part of a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_sid&quot;)'>SID</A> that is unique to an object in a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>.</P>";

glos_ringtrans = "<P><b>ring transition</b><br>A ring transition or kernel-mode transition occurs when user-mode processes use application program interfaces (APIs) to switch their threads from user mode to kernel mode.</P>";

glos_risc = "<P><b>RISC</b><br>Reduced Instruction Set Computing. A category of microprocessor architecture that increases speed and efficiency by using a smaller set of basic instructions to the microprocessor.</P>";

glos_router = "<P><b>router</b><br>A network server that helps <A NAME='nest' HREF='javascript:startPopups(&quot;glos_lan&quot;)'>LANs</a> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WANs</a> achieve interoperability and connectivity and that can link LANs that have different network topologies, such as Ethernet and Token Ring.<br>A router looks at the network addresses in the packets it receives before deciding whether to pass them on. Routers make packet forwarding decisions on the basis of addresses in the network layer of the Open Systems Interconnection (OSI) reference model (for example, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>).<br>A router makes more intelligent decisions than a bridge about data it passes on. A bridge can only decide whether or not to pass on a packet, but a router can choose the best path along the network for the packet to reach its destination address.<br>In the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> context, a router is a gateway, a computer with two or more network adapters that is running some type of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> routing software. Each adapter is connected to a different physical network.</P>";

glos_rpc = "<P><b>RPC</b><br>Remote Procedure Call. A message-passing facility that allows a distributed application to call <A NAME='nest' HREF='javascript:startPopups(&quot;glos_service&quot;)'>services</A> available on various computers in a network. Used during remote administration of computers.</P>";

glos_rpcservice = "<P><b>RPC Service</b><br><A NAME='nest' HREF='javascript:startPopups(&quot;glos_rpc&quot;)'>Remote Procedure Call</A> service. The RPC subsystem for Windows&nbsp;2000 and Windows&nbsp;NT. The RPC subsystem includes the endpoint mapper and other RPC services.</P>";

glos_rsm = "<P><b>Removable Storage</b><br>A standard interface in the Windows&nbsp;2000 operating system for accessing removable media, especially removable media in automated devices such as changers, jukeboxes and libraries. It was designed to simplify access to libraries of media in both standalone drives and in these automated devices.<br>Client programs such as backup applications and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_hsm&quot;)'>Hierarchical Storage Management (HSM)</A> services use Removable Storage to gain access to their media. Essentially, Removable Storage is an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A> that is called by these programs to make media accessible. Once media is accessible, these client programs use other Microsoft Win32 APIs to read and write the media. In addition, there is a (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_mmc&quot;)'>Microsoft Management Console (MMC)</A> <A NAME='nest' HREF='javascript:startPopups(&quot;glos_snapin&quot;)'>snap-in</A> client--called Removable Storage--that provides a human interface to most functionality such as inject/eject, cleaning, and so on.</P>";

glos_rsvp = "<P><B>RSVP</B><BR>Resource Reservation Protocol. A signaling protocol that allows the sender and receiver in a communication to set up a reserved highway for data transmission with a specified quality of service. The <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>ACS</A> server and its subnet clients use RSVP as a message service for priority bandwidth requests.<br>RSVP was designed to:<ul><li>Support multicast or unicast transmission.</li><li>Pass the reservation request to all network hosts in the traffic flow path.</li><li>Maintain the reservation at each network host, called a hop, (a router, computer or switch) between the sending and receiving computer.</li><li>Pass transparently through routers and switches that do not support RSVP.</li></ul>RSVP carries the bandwidth reservation along a data path that is predetermined by the network routing protocol. Once the ACS has approved the reservation request and has logically allocated bandwidth, RSVP carries the request to each router or switch (hop) along the path between sender and receiver.</P>";

glos_sam = "<P><b>SAM</b><br>Security Accounts Manager. A protected subsystem of Windows&nbsp;2000 and Windows&nbsp;NT that maintains the security accounts management database and provides an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A> for accessing the database.</P>";

glos_schema = "<P><B>schema</B><BR>A description of the object classes and attributes stored in <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A>. For each object class, the schema defines what attributes an object class must have, what additional attributes it may have, and what object class can be its parent. The Active Directory schema can be updated dynamically. For example, an application can extend the schema with new attributes and classes and use the extensions immediately. Schema updates are accomplished by creating or modifying the schema objects stored in Active Directory. Like every object in Active Directory, schema objects have an access control list, so only authorized users may alter the schema.</P>";

glos_script = "<P><b>script</b><br>A type of program consisting of a set of instructions to an application or tool. A script usually expresses instructions using the application's or tool's rules and syntax, combined with simple control structures such as loops and if/then expressions. &quot;<A NAME='nest' HREF='javascript:startPopups(&quot;glos_batch&quot;)'>Batch program</a>&quot; is often used interchangeably with &quot;script&quot; in the Windows environment.</P>";

glos_scsi = "<P><b>SCSI</b><br>Small Computer System Interface (pronounced &quot;scuzzy&quot;). A standard high-speed parallel interface defined by the X3T9.2 committee of the American National Standards Institute (ANSI). A SCSI interface is used for connecting microcomputers to peripheral devices, such as hard disks and printers, and to other computers and local area networks.</P>";

glos_sd = "<P><B>security descriptor</B><BR>A set of information attached to an object that specifies the permissions granted to users and groups, as well as the security events to be audited.</P>";

glos_service = "<P><b>service</b><br>A program, routine, or <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</A> that performs a specific system function to support other programs, particularly at a low (close to the hardware) level. Services often provide an application programming interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A>) for other processes to call. Windows&nbsp;2000 services are <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rpc&quot;)'>RPC</A>-enabled, meaning that their API routines can be called from remote computers. When services are provided over a network, they can be published in Active Directory, facilitating service-centric administration and usage. Some examples of Windows&nbsp;2000 services are Security Accounts Manager service, File Replication Service, and Routing and Remote Access Service.</P>";

glos_serviceticket = "<P><b>service ticket</b><br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ticket&quot;)'>ticket</A> issued by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kerberos&quot;)'>Kerberos</A>V5 ticket-granting service (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_tgs&quot;)'>TGS</A>) that allows a user to authenticate to a specific service in the domain. </P>";

glos_sh = "<P><b>sh</b><br>shell. Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility that contains a large subset of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_korn&quot;)'>Korn</a> shell functionality (though no variable arrays).</P>";

glos_sid = "<P><b>SID</b><br>security identifier. A unique name that identifies a logged-on user to the Windows&nbsp;2000 and Windows&nbsp;NT security systems. A security identifier can represent an individual user, a group of users, or a computer.<BR>Whenever a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controller</A> creates a user, group, or computer object, it assigns the object a unique SID. The SID consists of a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A> security identifier that is the same for all SIDs in the domain and a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rid&quot;)'>relative identifier (RID)</A> that is unique for each SID created in the domain.</P>";

glos_sidhistory = "<P><b>SIDHistory</b><br>An attribute of a security principal, available only in Windows&nbsp;2000 Native Mode, that may be populated with the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_sid&quot;)'>SID</a> of a source account. In migrating security principals from domain to domain, SIDHistory is used to grant the destination security principal access to network resource available to the source security principal.</P>";

glos_site = "<P><B>site</B><BR>A location in a network that holds <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> servers. A site can also be defined as one or more well-connected <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> subnets. &quot;Well-connected&quot; means that network connectivity is highly reliable and fast (for example, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_lan&quot;)'>LAN</A> speeds 10 MM bits-per-second or greater). Because computers in the same site are close to each other in network terms, communication among them is reliable, fast, and efficient. Defining a site as a set of subnets allows administrators to configure Active Directory access and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_replication&quot;)'>replication</A> topology to take advantage of the physical network. When users log on to the network, Active Directory clients find Active Directory servers in the same site as the client. In Systems Management Server, Systems Management Server site servers and client computers bounded by a group of subnets, such as an <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> subnet or an IPX network number.</P>";

glos_smb = "<P><b>SMB</b><br>Server Message Block. A file-sharing protocol designed to allow networked computers to transparently access files that reside on remote systems over a variety of networks. The SMB protocol, jointly developed by Microsoft, Intel, and IBM, defines a series of commands that pass information between computers. SMB uses four message types: session control, file, printer, and message.</P>";

glos_smtp = "<P><b>SMTP</b><br>Simple Mail Transport Protocol. A protocol used on the Internet to transfer mail reliably and efficiently. SMTP is independent of the particular transmission subsystem and requires only a reliable, ordered data stream channel.<br>An important feature of SMTP is its capability to relay mail across <A NAME='nest' HREF='javascript:startPopups(&quot;glos_transportprotocol&quot;)'>transport</a> service environments. A transport service provides an interprocess communication environment (IPCE), which may cover one network, several networks, or a subset of a network.<br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> can communicate directly with another process through any mutually known IPCE. Mail can be relayed between processes running on hosts on different transport systems by a host connected to IPCEs on both transport systems.</P>";

glos_snapin = "<P><B>snap-in</B><BR>A type of management tool which may be added to the console tree in a console supported by <A NAME='nest' HREF='javascript:startPopups(&quot;glos_mmc&quot;)'>Microsoft Management Console (MMC)</A>; for example, Device Manager. A snap-in can be either a stand-alone or an extension snap-in. A stand-alone snap-in can be added by itself; an extension snap-in can only be added to extend another snap-in.</P>";

glos_snmp = "<P><b>SNMP</b><br>Simple Network Management Protocol. A network management protocol installed with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> and widely used on TCP/IP and Internet Package Exchange (IPX) networks.<br>SNMP transports management information and commands between a management program run by an administrator and the network management agent running on a host. The SNMP agent sends status information to one or more hosts when the host requests it or when a significant event occurs.<br>SNMP defines the form and meaning of the messages exchanged, the representation of names and values in the messages, and the administrative relationships among hosts being managed.</P>";

glos_socket = "<P><b>socket</b><br>A bidirectional pipe for incoming and outgoing data between networked computers. The Windows Sockets <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</A> is a networking API used by programmers to create <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A>-based sockets programs.</P>";

glos_sql = "<P><b>SQL</b><br>Structured Query Language. A database sublanguage used in querying, updating, and managing relational databases, widely accepted as a standard in database products.</P>";

glos_stderr = "<P><b>STDERR</b><br>Standard Error. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDERR carries data to a display or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdin&quot;)'>STDIN</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdout&quot;)'>STDOUT</A>.</P>";

glos_stdin = "<P><b>STDIN</b><br>Standard Input. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDIN carries data from a keyboard or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stderr&quot;)'>STDERR</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdout&quot;)'>STDOUT</A>.</P>";

glos_stdout = "<P><b>STDOUT</b><br>Standard Output. One of the standard input/output (I/O) streams opened automatically in both MS-DOS and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_unix&quot;)'>UNIX</a> environments when a program starts running. These I/O streams let the program interact with its environment, including peripheral devices. Most commonly, STDOUT carries data to a display or file.<BR>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stderr&quot;)'>STDERR</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stdin&quot;)'>STDIN</A>.</P>";

glos_stripeset = "<P><b>stripe set</b><br>The saving of data across identical partitions on different drives. A stripe set does not provide fault tolerance; however stripe sets with parity do.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripesetparity&quot;)'>stripe set with parity</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_partition&quot;)'>partition</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_volumeset&quot;)'>volume set</A>.</P>";

glos_stripesetparity = "<P><b>stripe set with parity</b><br>A method data protection in which data is striped in large blocks across all the disks in an array. Data redundancy is provided by the parity information. This method provides fault tolerance.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripeset&quot;)'>stripe set</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.</P>";

glos_subnetmask = "<P><b>subnet mask</b><br>A 32-bit value that allows <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</a> to distinguish the network ID portion of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP address</a> from the host ID portion. The host ID identifies individual computers on the network. TCP/IP hosts use the subnet mask to determine whether a destination host is located on a local or a remote network.<br>A subnet mask is a 32-bit number expressed as four decimal numbers from 0 to 255 separated by periods, for example:<br><b>255.255.0.0</b></P>";

glos_symbols = "<P><b>symbols</b><br>Debug Symbol files (symbols) are required for both <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernmode&quot;)'>kernel</a> and user-mode debugging in Windows. Symbols provide a way to reference global variables and function names in the loaded executable.</P>";

glos_systemtray = "<P><b>status area</b><br>The area to the far right of the Windows&nbsp;2000 and Windows&nbsp;NT taskbar, containing icons for programs that are typically resident in memory. Also known as the icon or system tray.</P>";

glos_sysvol = "<P><B>sysvol</B><BR>System Volume. A shared directory that stores the server's copy of the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domain</A>'s public files, which are replicated among all <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controllers</A> in the domain.</P>";

glos_tapi = "<P><b>TAPI</b><br>Telephony API. An <A NAME='nest' HREF='javascript:startPopups(&quot;glos_api&quot;)'>API</a> used to make data/fax/voice calls by programs including HyperTerminal, Dial-up Networking, Phone Dialer, and other communications applications written for Windows&nbsp;2000 and Windows&nbsp;NT.</P>";

glos_tcp = "<P><b>TCP</b><br>A connection-based Internet protocol responsible for breaking data into <A NAME='nest' HREF='javascript:startPopups(&quot;glos_packet&quot;)'>packets</A>, which the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ip&quot;)'>IP</A> protocol sends over the network. This protocol provides a reliable, sequenced communication stream for network communication.</P>"; 

glos_tcpip = "<b>TCP/IP</b><br>Transmission Control Protocol/Internet Protocol. A set of software networking protocols widely used on the Internet that provide communications across interconnected networks of computers with diverse hardware architectures and operating systems. TCP/IP includes standards for how computers communicate and conventions for connecting networks and routing traffic.</P>";

glos_tdi = "<b>TDI</b><br>Transport Driver Interface. In the Windows&nbsp;2000 and Windows&nbsp;NT networking model, a common interface for Network Layer components that communicate with the Session layer of the Open Systems Interconnection model. The TDI is not a single program, but a protocol specification to which the upper bounds of <A NAME='nest' HREF='javascript:startPopups(&quot;glos_transportprotocol&quot;)'>transport protocol</A> device drivers are written. It allows software components above and below the Transport layer to be mixed and matched without reprogramming.</P>";

glos_telnet = "<b>Telnet</b><br>A terminal-emulation protocol widely used on the Internet to log on to remote computers. &quot;Telnet&quot; also refers to the application that uses the Telnet protocol for remote logons.</P>";

glos_tgt = "<P><b>TGT</b><br>ticket-granting ticket<br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ticket&quot;)'>ticket</A> issued by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kerberos&quot;)'>Kerberos</A>V5 Key Distribution Center (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_kdc&quot;)'>KDC</A>) for purposes of obtaining a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_serviceticket&quot;)'>service ticket</A> from the ticket-granting service (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_tgs&quot;)'>TGS</A>).</P>";

glos_tgs = "<P><b>TGS</b><br>ticket-granting service<br>A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kerberos&quot;)'>Kerberos</A>V5 service provided by the KerberosV5 Key Distribution Center (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_kdc&quot;)'>KDC</A>) service that issues <A NAME='nest' HREF='javascript:startPopups(&quot;glos_serviceticket&quot;)'>service tickets</A> that allow users to authenticate to services in a domain.</P>";

glos_thread = "<P><b>thread</b><br>A type of object within a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_process&quot;)'>process</a> that runs program instructions. Using multiple threads allows concurrent operations within a process and enables one process to run different parts of its program on different processors simultaneously.<br>A thread has its own set of registers, its own <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kernel&quot;)'>kernel</A> stack, a thread environment block, and a user stack in the address space of its process.</P>";

glos_ticket = "<P><b>ticket</b><br> A record that helps a client authenticate itself to a server. It contains the client's identity, a session key, a timestamp, and other information, all sealed using the server's secret key. Tickets are issued by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_kdc&quot;)'>KDC</A> on a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controller</A>. Two forms of tickets in Windows&nbsp;2000 are ticket-granting tickets (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_tgt&quot;)'>TGTs</A>) and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_serviceticket&quot;)'>service tickets</A>.</P>";

glos_touch = "<P><b>touch</b><br>Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility that changes the modification date of files.</P>";

glos_touch = "<P><b>touch</b><br>Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility that changes the modification date of files.</P>";

glos_traffic = "<P><B>Traffic Control</B><BR>A Windows&nbsp;2000 mechanism that creates and regulates data flows with defined <A NAME='nest' HREF='javascript:startPopups(&quot;glos_qos&quot;)'>QoS</A> parameters. The Traffic Control API (TC API) creates <A NAME='nest' HREF='javascript:startPopups(&quot;glos_filter&quot;)'>filters</A> to direct selected <A NAME='nest' HREF='javascript:startPopups(&quot;glos_packet&quot;)'>packets</A> through this flow. Traffic control is invoked by the QoS API and subsequently serviced by the <A NAME='nest' HREF='javascript:startPopups(&quot;glos_rsvp&quot;)'>RSVP</A> SP.<BR>Traffic Control:<ul><li>Reduces delay and latency (accumulated delay).</li><li>Works with <A NAME='nest' HREF='javascript:startPopups(&quot;glos_acs&quot;)'>ACS</A> and RSVP to ensure the service level and priority required in the bandwidth request can be met.</li><li>Is installed by default, and started when QoS is requested by a QoS-enabled client application.</li><li>Is available for non-ACS subnet clients. However, the client applications must be QoS-enabled to request traffic control services.</li><li>Is provided for networks that are not RSVP-enabled.</li></ul></P>" ;

glos_transportprotocol = "<P><b>transport protocol</b><br>Defines how data should be presented to the next receiving layer in the Windows&nbsp;2000 and Windows&nbsp;NT networking model and packages the data accordingly. The transport protocol passes data to the network adapter driver through the Network Device Interface Specification (NDIS) interface, and to the redirector through the Transport Driver Interface (<A NAME='nest' HREF='javascript:startPopups(&quot;glos_tdi&quot;)'>TDI</A>).</P>";

glos_tree = "<P><B>tree</B><BR>One or more Windows&nbsp;2000 <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A> connected by transitive, bidirectional trust, sharing a common <A NAME='nest' HREF='javascript:startPopups(&quot;glos_schema&quot;)'>schema</A>, configuration and global catalog. The hierarchical structure of domains within a tree forms a contiguous namespace. Multiple trees can be connected to form a <A NAME='nest' HREF='javascript:startPopups(&quot;glos_forest&quot;)'>forest</A>.</P>";

glos_trustrel = "<P><b>trust relationship</b><br><br>A trust relationship allows users and global groups from another user account database to be used. It is a link between <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domain&quot;)'>domains</A> that enables pass-through authentication, in which a trusting domain honors the logon authentications of a trusted domain. With trust relationships, a user who has only one user account in one domain can potentially access the entire network. User accounts and global groups defined in a trusted domain can be given rights and resource permissions in a trusting domain, even though those accounts do not exist in the trusting domains directory database.<br><br><b>Note</b> Using resources located on any domain, trusted or otherwise, is always subject to permissions associated with the resources.</P>";

glos_udp= "<P><b>UDP</b><br>User Datagram Protocol. A <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcpip&quot;)'>TCP/IP</A> standard defined in RFC 768 and is an lightweight alternative to <A NAME='nest' HREF='javascript:startPopups(&quot;glos_tcp&quot;)'>TCP</A>. UDP is used by some applications instead of TCP for fast, unreliable transportation of data between TCP/IP hosts.<br>UDP provides a connectionless datagram service that offers best effort delivery. Best effort implies that a source host that uses UDP will number and send datagrams in a sequenced order. However, when a destination host receives the datagrams, UDP does not guarantee delivery or verify sequence for any datagrams received.<br>UDP is typically used by applications that transmit small amounts of data at one time or have real-time requirements. In these situations, the low overhead and multicasting capabilities of UDP (for example, one datagram, many recipients) are better suited than TCP.</P>";

glos_unc = "<P><b>UNC</b><br>Universal Naming Convention. A convention for naming files and other resources beginning with two backslashes (\\), indicating that the resource exists on a remote computer. UNC names conform to the \\<i>ServerName</i>\<i>ShareName</i> syntax, where <i>ServerName</i> is the server's name and <i>ShareName</i> is the name of the shared resource. The UNC name of a directory or file can also include the directory path after the share name, with the following syntax:<BR>\\<i>ServerName</i>\<i>ShareName</i>\<i>Directory</i>\<i>FileName</i>.</P>";

glos_unicode = "<P><b>Unicode</b><br>A fixed-width, 16-bit character-encoding standard capable of representing the letters and characters of virtually all the world's languages. Unicode was developed by a consortium of U.S. computer companies.</P>";

glos_unix = "<P><b>UNIX</b><br>A powerful multiuser, multitasking operating system initially developed at AT&amp;T Bell Laboratories in 1969 for use on minicomputers. UNIX (pronounced &quot;ewe-niks&quot;) is considered more portable, that is, less computer-specific, than other operating systems because it is written in C language. Newer versions of UNIX have been developed at the University of California at Berkeley and by AT&amp;T.</P>";

glos_url = "<P><b>URL</b><br>Uniform Resource Locator. An address that uniquely identifies a location on the Internet. A URL for a World Wide Web site is preceded with http://, as in the URL http://www.microsoft.com/. A URL can contain more detail, such as the name of a page of hypertext, usually identified by a suffix of .html or .htm.</P><P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_html&quot;)'>HTML</A>, <A NAME='nest' HREF='javascript:startPopups(&quot;glos_http&quot;)'>HTTP</A>, and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP address</A>.</P>";

glos_usb = "<P><b>USB</b><br>Universal Serial Bus. A bidirectional, isochronous, dynamically attachable serial interface for adding peripheral devices such as game controllers, serial and parallel ports, and input devices on a single bus.</P>";

glos_usn = "<P><B>USN</B><BR>Update sequence number. In <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ad&quot;)'>Active Directory</A> replication, a 64-bit number (DWORD) that is maintained by each Active Directory <A NAME='nest' HREF='javascript:startPopups(&quot;glos_domaincontroller&quot;)'>domain controller</A> to track updates. When the server writes to any attribute on an Active Directory object (including the originating write or a replicated write), the USN is advanced by one and stored with the updated attribute and with an attribute that is specific to the domain controller. This operation is performed atomically&#151;that is, the incrementing and storage of the USN and the write of the attribute value succeed or fail as a single unit of work.</P>";

glos_userprofile = "<P><b>user profile</b><br>A file that contains configuration information for a specific user, such as desktop settings, persistent network connections, and application settings. Each user's preferences are saved to a user profile that Window&nbsp;2000 and Windows&nbsp;NT use to configure the desktop each time a user logs on.</P>";

glos_uuencoding = "<P><b>UUEncoding/Decoding</b><br>A form of encoding and decoding that allows binary files to be sent as e-mail. A binary file, such as a program or image, cannot be sent directly over the Internet by e-mail. To send such a file, you must first encode it to hide the control characters. This encoding can be accomplished by converting the binary file to a text file. UUEncoding carries out this conversion, and UUDecoding regenerates the original file.</P>";

glos_volumeset = "<P><b>volume set</b><br>A combination of partitions on a physical disk that appear as one logical drive.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_stripeset&quot;)'>stripe set</A> and <A NAME='nest' HREF='javascript:startPopups(&quot;glos_fault&quot;)'>fault tolerance</A>.</P>";

glos_vpn = "<P><b>VPN</b><br>Virtual Private Network. Virtual private networks involve the use of a combination of tunneling, authentication, and encryption technologies to support secure private network sessions over a public network, such as the Internet. A routed VPN connection across the Internet logically operates as a dedicated <A NAME='nest' HREF='javascript:startPopups(&quot;glos_wan&quot;)'>WAN</A> link.<br> With both the remote access connection and with the routed connection, VPN connections allow an organization to trade in long distance dial-up or leased lines for local dial-up or leased lines to an Internet service provider (ISP).</P>";

glos_wan = "<P><b>WAN</b><br>Wide area network. A communications network connecting geographically separated computers, printers, and other devices. A WAN allows any connected device to interact with any other on the network.<P></P>See also <A NAME='nest' HREF='javascript:startPopups(&quot;glos_lan&quot;)'>LAN</a>.</P>";

glos_wc = "<P><b>wc</b><br>word count. Command line <A NAME='nest' HREF='javascript:startPopups(&quot;glos_posix&quot;)'>POSIX</a> utility that returns the number of bytes, words, and lines in files.</P>";

glos_wins = "<P><b>WINS</b><br>Windows Internet Name Service. A service that maps computer names to <A NAME='nest' HREF='javascript:startPopups(&quot;glos_ipaddress&quot;)'>IP addresses</a>, allowing users to communicate with other computers on a network or the World Wide Web without having to remember strings of numbers for the addresses.</P>";

glos_x500 = "<P><B>X.500</B><BR>A set of standards defining a distributed directory service, developed by the International Standards Organization (ISO).</P>";

defs_loaded = true;




